MPD: IntegerToFloatSampleConvert< F, Traits > Struct Template Reference

MPD 0.20.18

Public Types | Static Public Member Functions | Static Public Attributes
IntegerToFloatSampleConvert< F, Traits > Struct Template Reference

Convert from an integer sample format to float. More...

`#include <FloatConvert.hxx>`

## Public Types
typedef SampleTraits< SampleFormat::FLOAT > | DstTraits
typedef Traits | SrcTraits
typedef SrcTraits::value_type | SV
typedef DstTraits::value_type | DV

## Static Public Member Functions
static gcc_const DV | Convert (SV src) noexcept

## Static Public Attributes
static constexpr DV | factor = 0.5 / (1 << (SrcTraits::BITS - 2))

## Detailed Description

### template<SampleFormat F, class Traits = SampleTraits<F>>
struct IntegerToFloatSampleConvert< F, Traits >

Convert from an integer sample format to float.

Definition at line 49 of file FloatConvert.hxx.

## Member Typedef Documentation

## ◆ DstTraits

template<SampleFormat F, class Traits = SampleTraits<F>>

typedef SampleTraits<SampleFormat::FLOAT> IntegerToFloatSampleConvert< F, Traits >::DstTraits

Definition at line 50 of file FloatConvert.hxx.

## ◆ DV

template<SampleFormat F, class Traits = SampleTraits<F>>

typedef DstTraits::value_type IntegerToFloatSampleConvert< F, Traits >::DV

Definition at line 54 of file FloatConvert.hxx.

## ◆ SrcTraits

template<SampleFormat F, class Traits = SampleTraits<F>>

typedef Traits IntegerToFloatSampleConvert< F, Traits >::SrcTraits

Definition at line 51 of file FloatConvert.hxx.

## ◆ SV

template<SampleFormat F, class Traits = SampleTraits<F>>

typedef SrcTraits::value_type IntegerToFloatSampleConvert< F, Traits >::SV

Definition at line 53 of file FloatConvert.hxx.

## Member Function Documentation

## ◆ Convert()

template<SampleFormat F, class Traits = SampleTraits<F>>

static gcc_const DV IntegerToFloatSampleConvert< F, Traits >::Convert | ( | SV | src | ) |
| inlinestaticnoexcept

Definition at line 59 of file FloatConvert.hxx.

## Field Documentation

## ◆ factor

template<SampleFormat F, class Traits = SampleTraits<F>>

constexpr DV IntegerToFloatSampleConvert< F, Traits >::factor = 0.5 / (1 << (SrcTraits::BITS - 2))
| static

Definition at line 56 of file FloatConvert.hxx.

The documentation for this struct was generated from the following file:

- pcm/FloatConvert.hxx